/* ==========================================================================
   HTML5 Boilerplate styles - h5bp.com (generated via initializr.com)
   ========================================================================== */

html,
button,
input,
select,
textarea {
    color: #222;
}

body {
    font-size: 1em;
    line-height: 1.4;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

img {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.chromeframe {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ==========================================================================
   Author's custom styles
   ========================================================================== */


body {background: #000 url('../img/bg.png'); margin:0 auto; padding: 2% 0; width:85%; overflow: auto;}

img {max-width: 100%;}

header {margin: 2% auto 4% auto; text-align: center; overflow: auto;}

header h1 {color: #fff; font-size: 2.2em; margin: 0; padding: 0;}

header a {text-decoration: none; color: #fff;}

span {color: #ccc;}

header h2 {color: #fff; font-size: 1em; margin: 0; padding: 0;}

h2 {color: #fff; text-align: center; font-size: 1.4em;}

.blog {display: block; margin: 0 auto 20px auto; float: left; }

.blog h3 {text-align: center; font-size: 1.5em;}

.blog a {color: #fff; text-decoration: none; }

.blog a:hover { color: #888;}

.link {display: block; float: left;}

a.link {margin: 0; padding: 0; display: inline-block; background: black; }

a.link img { display: block;
     -webkit-transition: all 0.5s linear;
       -moz-transition: all 0.5s linear;
        -ms-transition: all 0.5s linear;
         -o-transition: all 0.5s linear;
            transition: all 0.5s linear;
}

a.link:hover img { opacity: 0.4;}

article {margin: 0; padding: 0; overflow: auto;}

footer {margin: 5% auto; padding: 0; text-align: center; overflow: auto; clear: both; color: #fff;}

footer a {color: #fff; text-decoration: none;}

footer a:hover {color: #888; text-decoration: none;}





/* ==========================================================================
   Media Queries
   ========================================================================== */

@media only screen and (min-width: 35em) {

body {width: 90%; max-width: 1400px;}

header h1 {font-size: 3em; float: left;}

header h2 {font-size: 1.7em; float: right;}

h2 {text-align: left; font-size: 1.7em; margin-left: 5%;}

.blog { max-width: 40%; margin:0 5%; padding:0;}

}

@media only screen and (min-width: 70em) {


.blog { max-width: 27.333%; margin:0 3%; padding:0;}

h2 {margin-left: 3%;}

}



@media print,
       (-o-min-device-pixel-ratio: 5/4),
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 120dpi) {

}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles
   ========================================================================== */

@media print {
    * {
        background: transparent !important;
        color: #000 !important; /* Black prints faster: h5bp.com/s */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links for images, or javascript/internal links
     */

    .ir a:after,
    a[href^="javascript:"]:after,
    a[href^="#"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group; /* h5bp.com/t */
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    @page {
        margin: 0.5cm;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}